# Vorbereitung zur Hausbung zur Einfhrung in die Statistische Software im WS 2016/17

# zu Beginn der Analyse immer Arbeitsverzeichnis (working directory) festlegen, z.B.
setwd("...")

#------------------------------------------------------------
# Vorbereitung

# Daten einlesen
student_performance <- read.table(file="student_performance.csv", sep=";", header=TRUE)

# Stichprobe mit Matrikelnummer als Startwert (seed) ziehen
matrikelnummer <-  1111111111        # hier bitte eigene Matrikelnummer hinschreiben
# Startwert festlegen
set.seed(matrikelnummer)
# Zufallsstichprobe vom Umfang 300 ohne Zurcklegen aus den Daten ziehen
lines_sample <- sample(x=1:nrow(student_performance), size=300, replace = FALSE, prob = NULL)
student_performance_sample <- student_performance[lines_sample,]

# Datensatz im .dat-Format speichern 
# mit verschiedenen Trennzeichen fr Spalten (sep) und Dezimaltrennzeichen (dec)
write.table(x=student_performance_sample, 
            file="student_performance_sample_semicolon_dot.dat", sep = ";", dec = ".",
            row.names = FALSE, col.names = TRUE)

write.table(x=student_performance_sample,
            file="student_performance_sample_semicolon_comma.dat", sep = ";", dec = ",",
            row.names = FALSE, col.names = TRUE)

write.table(x=student_performance_sample, 
            file="student_performance_sample_tab_dot.dat", sep = "\t", dec = ".",
            row.names = FALSE, col.names = TRUE)

write.table(x=student_performance_sample, 
            file="student_performance_sample_tab_comma.dat", sep = "\t", dec = ",",
            row.names = FALSE, col.names = TRUE)

# diese Datenstze dann in R, SPSS und SAS einlesen und 
# fr jedes Softwarepaket einen Datensatz, der fehlerfrei eingelesen wurde,
# fr die weiteren Analysen verwenden
